Index: trunk/kernel_config.h
===================================================================
--- trunk/kernel_config.h	(revision 406)
+++ trunk/kernel_config.h	(revision 407)
@@ -32,9 +32,10 @@
 //          KERNEL DEBUG
 //
-//  For all these configuration variables: 
+//  For all these debug variables: 
 //  - trace is generated only when cycle > debug_value.
-//  - detaited trace is enabled when (debug_value & Ox1) is non zero.
-////////////////////////////////////////////////////////////////////////////////////////////
-
+//  - detailed trace is enabled when (debug_value & Ox1) is non zero.
+////////////////////////////////////////////////////////////////////////////////////////////
+
+#define CONFIG_CHDEV_DEBUG            0
 #define CONFIG_CLUSTER_DEBUG          0
 #define CONFIG_CONTEXT_DEBUG          0
@@ -44,10 +45,11 @@
 #define CONFIG_DQDT_DEBUG             0
 #define CONFIG_ELF_DEBUG              0
-#define CONFIG_EXEC_DEBUG             0
+#define CONFIG_EXEC_DEBUG             20
 #define CONFIG_EXCP_DEBUG             0
 #define CONFIG_FATFS_DEBUG            0
 #define CONFIG_FBF_DEBUG              0
-#define CONFIG_FORK_DEBUG             0
+#define CONFIG_FORK_DEBUG             20
 #define CONFIG_GPT_DEBUG              0
+#define CONFIG_GRPC_DEBUG             0
 #define CONFIG_IDLE_DEBUG             0
 #define CONFIG_IOC_DEBUG              0
@@ -55,6 +57,7 @@
 #define CONFIG_KCM_DEBUG              0
 #define CONFIG_KHM_DEBUG              0
-#define CONFIG_KINIT_DEBUG            0      
+#define CONFIG_KINIT_DEBUG            0       
 #define CONFIG_KMEM_DEBUG             0
+#define CONFIG_MMAP_DEBUG             0         
 #define CONFIG_MMC_DEBUG              0
 #define CONFIG_MAPPER_DEBUG           0
@@ -63,4 +66,5 @@
 #define CONFIG_PPM_DEBUG              0
 #define CONFIG_PROCESS_DEBUG          0
+#define CONFIG_READ_DEBUG             0
 #define CONFIG_RPC_DEBUG              0
 #define CONFIG_SCHED_DEBUG            0
@@ -71,4 +75,5 @@
 #define CONFIG_VFS_DEBUG              0
 #define CONFIG_VMM_DEBUG              0
+#define CONFIG_WRITE_DEBUG            0
 
 ////////////////////////////////////////////////////////////////////////////////////////////
@@ -91,11 +96,12 @@
 #define CONFIG_MAX_IOC_CHANNELS             1          // max number of IOC device channels
 #define CONFIG_MAX_FBF_CHANNELS             1          // max number of FBF device channels
-#define CONFIG_MAX_TXT_CHANNELS             16         // max number of TXT device channels
-#define CONFIG_MAX_DMA_CHANNELS             8          // max number of DMA device channels
-#define CONFIG_MAX_NIC_CHANNELS             8          // max number of NIC device channels
+#define CONFIG_MAX_TXT_CHANNELS             8          // max number of TXT device channels
+#define CONFIG_MAX_DMA_CHANNELS             4          // max number of DMA device channels
+#define CONFIG_MAX_NIC_CHANNELS             4          // max number of NIC device channels
 
 #define CONFIG_MAX_CLUSTERS                 256        // max number of clusters
 
 #define CONFIG_TXT_ECHO_MODE                1          // echo mode for TXT peripheral
+#define CONFIG_TXT_KBUF_SIZE                256        // kernel buffer for TXT write
 
 #define CONFIG_FBF_WIDTH                    128
@@ -115,5 +121,5 @@
 #define CONFIG_PROCESS_HEAP_MIN_SIZE        0x00010000 // user heap min size (bytes)
 #define CONFIG_PROCESS_HEAP_MAX_SIZE        0x30000000 // user heap max size (bytes)
-#define CONFIG_PROCESS_INIT_PATH            "/bin/init/init.elf"
+#define CONFIG_PROCESS_INIT_PATH            "/bin/user/ksh.elf"
 
 ////////////////////////////////////////////////////////////////////////////////////////////
@@ -124,5 +130,4 @@
 #define CONFIG_VFS_MAX_NAME_LENGTH          32         // dentry name max length (bytes)
 #define CONFIG_VFS_MAX_PATH_LENGTH          256        // pathname max length (bytes)
-#define CONFIG_VFS_KBUF_SIZE                256        // kernel buffer for read/write
 
 #define CONFIG_VFS_ROOT_IS_FATFS            1          // root FS is FATFS if non zero
@@ -174,5 +179,5 @@
 
 #define CONFIG_SCHED_TICK_MS_PERIOD         1000    // number of milliseconds
-#define CONFIG_SCHED_TICKS_PER_QUANTUM      2       // number of ticks between scheduling
+#define CONFIG_SCHED_TICKS_PER_QUANTUM      1       // number of ticks between scheduling
 #define CONFIG_SCHED_MAX_THREADS_NR         32      // max number of threads per core
 
@@ -182,18 +187,14 @@
 
 #define CONFIG_THREAD_MAX_PER_CLUSTER       16      // max user threads per cluster
-#define CONFIG_THREAD_DESC_SIZE             0x4000  // thread desc size (with kstack)
+#define CONFIG_THREAD_DESC_SIZE             0x4000  // thread desc size (with kernel stack)
 #define CONFIG_THREAD_DESC_ORDER            2       // ln( number of 4K pages )
-
-////////////////////////////////////////////////////////////////////////////////////////////
-//          REMOTE_FIFO 
+#define CONFIG_THREAD_IDLE_MODE_SLEEP       0       // idle thread enter sleep mode 
+
+////////////////////////////////////////////////////////////////////////////////////////////
+//          REMOTE PROCEDURE CALL
 ////////////////////////////////////////////////////////////////////////////////////////////
 
 #define CONFIG_REMOTE_FIFO_SLOTS		    16
-#define CONFIG_REMOTE_FIFO_ITERATION_DELAY  1024
 #define CONFIG_REMOTE_FIFO_MAX_ITERATIONS   1024
-
-////////////////////////////////////////////////////////////////////////////////////////////
-//          REMOTE PROCEDURE CALL
-////////////////////////////////////////////////////////////////////////////////////////////
 
 #define CONFIG_RPC_PENDING_MAX              8      // max requests handled by one server 
@@ -201,10 +202,14 @@
 
 ////////////////////////////////////////////////////////////////////////////////////////////
-//         USER APPLICATION STDIO
-////////////////////////////////////////////////////////////////////////////////////////////
-
-#define CONFIG_DEV_STDIN                    "/dev/external/txt_1"
-#define CONFIG_DEV_STDOUT                   "/dev/external/txt_1"
-#define CONFIG_DEV_STDERR                   "/dev/external/txt_2"
+//         PROCESS INIT & PROCESS USER TERMINALS
+////////////////////////////////////////////////////////////////////////////////////////////
+
+#define CONFIG_INIT_STDIN                    "/dev/external/txt1_rx"
+#define CONFIG_INIT_STDOUT                   "/dev/external/txt1_tx"
+#define CONFIG_INIT_STDERR                   "/dev/external/txt1_tx"
+
+#define CONFIG_USER_STDIN                    "/dev/external/txt2_rx"
+#define CONFIG_USER_STDOUT                   "/dev/external/txt2_tx"
+#define CONFIG_USER_STDERR                   "/dev/external/txt2_tx"
 
 ////////////////////////////////////////////////////////////////////////////////////////////
@@ -224,6 +229,5 @@
 #define CONFIG_VMM_KENTRY_BASE        0x000004     // UTILS zone base         : 16  Kbytes
 #define CONFIG_VMM_ELF_BASE           0x000400     // ELF zone base           : 4   Mbytes
-#define CONFIG_VMM_HEAP_BASE          0x000800     // HEAP zone base          : 8   Mbytes
-#define CONFIG_VMM_MMAP_BASE          0x040000     // MMAP zone base          : 1   Gbytes
+#define CONFIG_VMM_HEAP_BASE          0x002000     // HEAP zone base          : 32  Mbytes
 #define CONFIG_VMM_STACK_BASE         0x0C0000     // STACK zone base         : 3   Gbytes
 
@@ -232,5 +236,4 @@
 #define CONFIG_VMM_ENVS_SIZE          0x000008     // envs vseg size          : 32  Kbytes
 #define CONFIG_VMM_STACK_SIZE         0x002000     // single stack vseg size  : 32  Mbytes
-#define CONFIG_VMM_HEAP_SIZE          0x010000     // shared heap vseg size   : 256 Mbytes
 
 #define CONFIG_VMM_GRDXT_W1           7            // number of bits for RADIX_TREE_IX1
